
<template>
  <div class="headerwidthcontainer">
    <div id="shopbanner">
      <div id="shopname">{{ shop.name }}</div>
      <div id="shopdesc">
        <div class="inner">{{ shop.description }}</div>
      </div>
    </div>
    <div class="contentwidthcontainer">
      <div id="sidebar">
        <headlines />
        <action-buttons
          :has-swiper="hasSwiper"
          :shop="shop"
          id="headlinebox-actionbuttons" />
      </div>
      <div id="mainpagecontent">
        <rewards :rewards-members="rewardsMembers" />
      </div>
    </div>
  </div>
</template>

<script>
import Rewards from '../../../../shared/views/Rewards.vue';
import Headlines from '../Headlines.vue';
import ActionButtons from '../ActionButtons.vue';

export default {
  components: {
    Rewards,
    Headlines,
    ActionButtons
  },
  props: {
    shop: Object,
    hasSwiper: Boolean
  },
  data() {
    return {
      rewardsMembers: [],
      intervalID: ''
    }
  },
  methods: {
    getRewardsMembers() {
      app.session.SetSession()
        .then( () => {
        app.api.Get( "kiosk/getRewardsMembers/" + app.session.data.id )
          .then( Response => {
            this.rewardsMembers = Response;
          })
          .catch( x => app.Message( x.error, "error" ) )
        })
    },
    poller() {
      this.intervalID = setInterval(() => {
        if(this.$route.name === "marketmain") {
          this.getRewardsMembers();
        }
      }, 10000);
    }
  },
  created: function() {
    this.getRewardsMembers();
    this.poller();
  },
  destroyed: function() {
    console.log('destroyed');
    clearInterval(this.intervalID);
  }
}
</script>

<style>

</style>
